<?php
/* Mantenimiento de los registros de la tabla cr_llamada_movimiento redefinidos por el usaurio */
class Cr_llamada_movimientoDP extends BaseCr_llamada_movimientoDP
{
    public function save()
    {
        $s_Sql = "SELECT IF( MAX( IdMovimientoLlamada ) IS NULL, 1, MAX( IdMovimientoLlamada ) + 1 ) i_Id FROM cr_llamada_movimiento;";
        $o_cr_llamada_movimientoFN = new Cr_llamada_movimientoFN();
        $o_Resource = $o_cr_llamada_movimientoFN->getConnect();
        $o_Result = mysql_query( $s_Sql, $o_Resource );
        $a_Row = mysql_fetch_array( $o_Result, MYSQLI_ASSOC );
        $this->setIdMovimientoLlamada( $a_Row['i_Id'] );
        $b_Result = parent::save();
        return $b_Result;
    }
    
    public static function saveClase( $i_Id, $s_Value )
    {
        $s_Sql = "UPDATE cr_llamada_movimiento SET Clase='$s_Value' WHERE IdMovimientoLlamada='$i_Id';  ";
        $o_cr_llamada_movimientoFN = new Cr_llamada_movimientoFN();
        $o_Resource = $o_cr_llamada_movimientoFN->getConnect();
        $o_Result = mysql_query( $s_Sql, $o_Resource );
        return $o_Result;
    }
    
    public static function saveTipoPrestamo( $i_Id, $s_Value )
    {
        $s_Sql = "UPDATE cr_llamada_movimiento SET TipoPrestamo='$s_Value' WHERE IdMovimientoLlamada='$i_Id';  ";
        $o_cr_llamada_movimientoFN = new Cr_llamada_movimientoFN();
        $o_Resource = $o_cr_llamada_movimientoFN->getConnect();
        $o_Result = mysql_query( $s_Sql, $o_Resource );
        return $o_Result;
    }
    
     /* Actualiza los datos del registro */
    public function updateDisable()
    {
        //$this->validateRecord();
        $o_cr_llamada_movimientoFN = new Cr_llamada_movimientoFN();
        
         $s_SQLQuery = "UPDATE cr_llamada_movimiento SET ";
         $s_Separator = "";
         $s_SQLQuery .= $s_Separator."Estado = '".$this->getEstado()."'";
                $s_Separator = ", ";
                
         $s_SQLQuery .= " WHERE  IdCabecera = ".$this->getIdCabecera().";";
         $o_Resource = $o_cr_llamada_movimientoFN->getConnect();
		if ( mysql_query( $s_SQLQuery, $o_Resource ) === false )
		{
		    throw new Exception( mysql_error() );
		} 
                 
        return true;
    }
}
?>